<html>
<head>
<title>Ogre::ProgressiveMesh::PMTriangle Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ProgressiveMesh.html">ProgressiveMesh</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html">PMTriangle</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ProgressiveMesh::PMTriangle Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ProgressiveMesh::PMTriangle" -->
<p>A triangle in the progressive mesh, holds extra info like face normal.  
 <a href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ProgressiveMesh_1_1PMTriangle-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a00b03986f488e08e5407a34730e9e636">PMTriangle</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a03c1e6d2ab8952e54ba1fa8f380608e3">setDetails</a> (size_t <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a03f366aaa28888aa806556d2bb44e33a">index</a>, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *v0, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *v1, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *v2)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a0c162d851e98d73f99094b1209bbeed6">computeNormal</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a0776fae3db3e24d35bca952a06d9e3f5">replaceVertex</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *vold, <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *vnew)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#abaeb5205525a68c74bd187d6730983af">hasCommonVertex</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *v) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a4ce7b46ec209110f5202afbf784785f6">hasFaceVertex</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *v) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#af9a0bede611195a922ebc4a3f1b67c9a">getFaceVertexFromCommon</a> (<a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *commonVert)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#aad9df6c18f56840e29195a7423dcf095">notifyRemoved</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#ae1ae521198beb805fa9e29135898c9f7">vertex</a> [3]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a2965fa7602c835772a2737c9fb5c5854">normal</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a4fd5dea3523aee59efa13af736db4182">area</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a5213866374d631850c409eabcbd94fb3">removed</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a03f366aaa28888aa806556d2bb44e33a">index</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A triangle in the progressive mesh, holds extra info like face normal. </p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00248">248</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a00b03986f488e08e5407a34730e9e636"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::PMTriangle" ref="a00b03986f488e08e5407a34730e9e636" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a00b03986f488e08e5407a34730e9e636">Ogre::ProgressiveMesh::PMTriangle::PMTriangle</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0c162d851e98d73f99094b1209bbeed6"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::computeNormal" ref="a0c162d851e98d73f99094b1209bbeed6" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a0c162d851e98d73f99094b1209bbeed6">Ogre::ProgressiveMesh::PMTriangle::computeNormal</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af9a0bede611195a922ebc4a3f1b67c9a"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::getFaceVertexFromCommon" ref="af9a0bede611195a922ebc4a3f1b67c9a" args="(PMVertex *commonVert)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a>* <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#af9a0bede611195a922ebc4a3f1b67c9a">Ogre::ProgressiveMesh::PMTriangle::getFaceVertexFromCommon</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&#160;</td>
          <td class="paramname"><em>commonVert</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abaeb5205525a68c74bd187d6730983af"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::hasCommonVertex" ref="abaeb5205525a68c74bd187d6730983af" args="(PMVertex *v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#abaeb5205525a68c74bd187d6730983af">Ogre::ProgressiveMesh::PMTriangle::hasCommonVertex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a> *&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4ce7b46ec209110f5202afbf784785f6"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::hasFaceVertex" ref="a4ce7b46ec209110f5202afbf784785f6" args="(PMFaceVertex *v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a4ce7b46ec209110f5202afbf784785f6">Ogre::ProgressiveMesh::PMTriangle::hasFaceVertex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aad9df6c18f56840e29195a7423dcf095"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::notifyRemoved" ref="aad9df6c18f56840e29195a7423dcf095" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#aad9df6c18f56840e29195a7423dcf095">Ogre::ProgressiveMesh::PMTriangle::notifyRemoved</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a0776fae3db3e24d35bca952a06d9e3f5"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::replaceVertex" ref="a0776fae3db3e24d35bca952a06d9e3f5" args="(PMFaceVertex *vold, PMFaceVertex *vnew)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a0776fae3db3e24d35bca952a06d9e3f5">Ogre::ProgressiveMesh::PMTriangle::replaceVertex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&#160;</td>
          <td class="paramname"><em>vold</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&#160;</td>
          <td class="paramname"><em>vnew</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a03c1e6d2ab8952e54ba1fa8f380608e3"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::setDetails" ref="a03c1e6d2ab8952e54ba1fa8f380608e3" args="(size_t index, PMFaceVertex *v0, PMFaceVertex *v1, PMFaceVertex *v2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a03c1e6d2ab8952e54ba1fa8f380608e3">Ogre::ProgressiveMesh::PMTriangle::setDetails</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&#160;</td>
          <td class="paramname"><em>v0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&#160;</td>
          <td class="paramname"><em>v1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a> *&#160;</td>
          <td class="paramname"><em>v2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4fd5dea3523aee59efa13af736db4182"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::area" ref="a4fd5dea3523aee59efa13af736db4182" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a4fd5dea3523aee59efa13af736db4182">Ogre::ProgressiveMesh::PMTriangle::area</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00261">261</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a03f366aaa28888aa806556d2bb44e33a"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::index" ref="a03f366aaa28888aa806556d2bb44e33a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a03f366aaa28888aa806556d2bb44e33a">Ogre::ProgressiveMesh::PMTriangle::index</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00263">263</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2965fa7602c835772a2737c9fb5c5854"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::normal" ref="a2965fa7602c835772a2737c9fb5c5854" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a2965fa7602c835772a2737c9fb5c5854">Ogre::ProgressiveMesh::PMTriangle::normal</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00260">260</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5213866374d631850c409eabcbd94fb3"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::removed" ref="a5213866374d631850c409eabcbd94fb3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#a5213866374d631850c409eabcbd94fb3">Ogre::ProgressiveMesh::PMTriangle::removed</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00262">262</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae1ae521198beb805fa9e29135898c9f7"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMTriangle::vertex" ref="ae1ae521198beb805fa9e29135898c9f7" args="[3]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMFaceVertex.html">PMFaceVertex</a>* <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMTriangle.html#ae1ae521198beb805fa9e29135898c9f7">Ogre::ProgressiveMesh::PMTriangle::vertex</a>[3]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h_source.html#l00259">259</a> of file <a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreProgressiveMesh_8h_source.html">OgreProgressiveMesh.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
